BooleanPropertyExecutor (Velocity 1.4 API)
Keywords: org.apache.velocity.runtime.parser.node.BooleanPropertyExecutor class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.parser.node
Class BooleanPropertyExecutor

    java.lang.Object
      org.apache.velocity.runtime.parser.node.AbstractExecutor
          org.apache.velocity.runtime.parser.node.PropertyExecutor
              org.apache.velocity.runtime.parser.node.BooleanPropertyExecutor

public class BooleanPropertyExecutor
extends PropertyExecutor

Handles discovery and valuation of a boolean object property, of the form public boolean is when executed. We do this separately as to preserve the current quasi-broken semantics of get get< flip 1st char> get("property") and now followed by is

Version:
  $Id: BooleanPropertyExecutor.java,v 1.3.4.1 2004/03/03 23:22:59 geirm Exp $
Author:
  Geir Magnusson Jr.

Field Summary

Fields inherited from class org.apache.velocity.runtime.parser.node.PropertyExecutor
`introspector, methodUsed`

Fields inherited from class org.apache.velocity.runtime.parser.node.AbstractExecutor
`method, rlog`

Constructor Summary
`BooleanPropertyExecutor(RuntimeLogger rlog, Introspector is, java.lang.Class clazz, java.lang.String property)`

Method Summary
`protected void` | `discover(java.lang.Class clazz, java.lang.String property)`

Methods inherited from class org.apache.velocity.runtime.parser.node.PropertyExecutor
`execute`

Methods inherited from class org.apache.velocity.runtime.parser.node.AbstractExecutor
`getMethod, isAlive`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BooleanPropertyExecutor

    public BooleanPropertyExecutor(RuntimeLogger rlog,
                                   Introspector is,
                                   java.lang.Class clazz,
                                   java.lang.String property)

Method Detail

### discover

    protected void discover(java.lang.Class clazz,
                            java.lang.String property)

  Overrides:
    `discover` in class `PropertyExecutor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.